drivers – kernel 5.8.1 can’t work with Ubuntu 18.04.5

I have an R7-4800H (the graphics card is rx vega7) laptop with ubuntu 18.04.5 installed. I just installed the 5.8 kernel on it. After the installation is complete, it cannot enter the system after rebooting, and grub outputs the following information:

()pci 0000:00:00.2: AMD-Vi: Unable to read/write to IOMMU perf counter.
()integrity: Problem loading X.509 certificate -65
()snd_pci_acp3x 0000:03:00.5: Invalid ACP audio mode: 0
()ACPI Error: No handler for Region (ECSI) (00000000e7b8bf66) (EmbeddedControl) (202000110/evregion-127)
()ACPI Error: Region EmbeddedControl(ID=3) has no handler (20200110/exfldio-261)
()ACPI Error: Aborting method _SB.UBTC.ECRD due to previous error (AE_NOT_EXIST) (20200110/psparse-529)
()ACPI Error: Aborting method _SB.UBTC._DSM due to previous error (AE_NOT_EXIST) (20200110/psparse-529)
()ucsi_acpi USBC000:00: ucsi_acpi_dsm: failed to evaluate _DSM 2